# Interface Decoder.Text<T>

All Superinterfaces:
  `Decoder`

Enclosing interface:
  `Decoder`

public static interface Decoder.Text<T> extends Decoder

## Nested Class Summary

### Nested classes/interfaces inherited from interface jakarta.websocket.Decoder

`Decoder.Binary<T>, Decoder.BinaryStream<T>, Decoder.Text<T>, Decoder.TextStream<T>`

## Method Summary

Modifier and Type
Method
Description
`T`
`decode(String s)`
`boolean`
`willDecode(String s)`

### Methods inherited from interface jakarta.websocket.Decoder

`destroy, init`

## Method Details

### decode

T decode(String s) throws DecodeException

Throws:
  `DecodeException`

### willDecode

boolean willDecode(String s)